Package io.vertx.ext.web.templ.pug

## Interface PugTemplateEngine

- All Superinterfaces:
    `TemplateEngine`

      public interface PugTemplateEngine
      extends TemplateEngine

  A template engine that uses Pug. The `unwrap()` shall return an object of class `PugConfiguration`

  Thís interface has been copied from JadeTemplateEngine.java. Authors of JadeTemplateEngine.java are Tim Fox, Paulo Lopes (pmlopes), Julien Viet (vietj), Roman Novikov (mystdeim), nEJC (mrnejc), Yunyu Lin, Kevin Macksamie (k-mack), Geoffrey Clements (baldmountain).

  For authors of this file see git history.

- - ### Field Summary

    Fields
    Modifier and Type | Field | Description
    --- | --- | ---
    `static String` | `DEFAULT_TEMPLATE_EXTENSION` | Default template extension

  - ### Method Summary

    All Methods Static Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static PugTemplateEngine` | `create​(Vertx vertx)` | Create a template engine using defaults
    `static PugTemplateEngine` | `create​(Vertx vertx, String extension)` | Create a template engine using defaults
    `static PugTemplateEngine` | `create​(Vertx vertx, String extension, String encoding)` | Create a template engine using defaults
    `de.neuland.pug4j.PugConfiguration` | `unwrap()` | Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.

    - ### Methods inherited from interface io.vertx.ext.web.common.template.TemplateEngine

      `clearCache, render, render`

- - ### Field Detail

    - #### DEFAULT_TEMPLATE_EXTENSION

          static final String DEFAULT_TEMPLATE_EXTENSION

      Default template extension
      See Also:
        Constant Field Values

  - ### Method Detail

    - #### create

          static PugTemplateEngine create​(Vertx vertx)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PugTemplateEngine create​(Vertx vertx,
                                          String extension)

      Create a template engine using defaults
      Returns:
        the engine

    - #### create

          static PugTemplateEngine create​(Vertx vertx,
                                          String extension,
                                          String encoding)

      Create a template engine using defaults
      Returns:
        the engine

    - #### unwrap

          de.neuland.pug4j.PugConfiguration unwrap()

      Description copied from interface: `TemplateEngine`
      Returns the underlying engine, so further configurations or customizations may be applied or `null` when the engine cannot unwrap it.
      Specified by:
        `unwrap` in interface `TemplateEngine`
      Returns:
        the engine instance.